> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get evaluator

> Get a specific evaluator by ID or slug



## OpenAPI

````yaml GET /api/evaluators/{idOrSlug}
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - api_key: []
paths:
  /api/evaluators/{idOrSlug}:
    get:
      description: Get a specific evaluator by ID or slug
      operationId: getApiEvaluatorsByIdOrSlug
      parameters:
        - schema:
            type: string
          in: path
          name: idOrSlug
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  projectId:
                    type: string
                  name:
                    type: string
                  slug:
                    type:
                      - string
                      - 'null'
                  type:
                    type: string
                  config:
                    type:
                      - object
                      - 'null'
                    additionalProperties: {}
                  workflowId:
                    type:
                      - string
                      - 'null'
                  copiedFromEvaluatorId:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  fields:
                    type: array
                    items:
                      type: object
                      properties:
                        identifier:
                          type: string
                        type:
                          type: string
                        optional:
                          type: boolean
                      required:
                        - identifier
                        - type
                  outputFields:
                    type: array
                    items:
                      type: object
                      properties:
                        identifier:
                          type: string
                        type:
                          type: string
                        optional:
                          type: boolean
                      required:
                        - identifier
                        - type
                  workflowName:
                    type: string
                  workflowIcon:
                    type: string
                required:
                  - id
                  - projectId
                  - name
                  - slug
                  - type
                  - config
                  - workflowId
                  - copiedFromEvaluatorId
                  - createdAt
                  - updatedAt
                  - fields
                  - outputFields
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '404':
          description: Evaluator not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: X-Auth-Token

````